Compscore2 and Bridgemates

The process required by the Bridgemate system is that at the start of the session, the director records the movement (e.g. 10½ table skip with missing Pair No 11) in the scoring program, which in turn pushes data about the movements (i.e. boards, pair numbers, tables etc) out to the Bridgemates. The Bridgemates in turn then accumulate the results data entered by the players, and send it to a central holding area via the Bridgemate Server, which is then picked up by the scoring program, and calculations performed.

Compscore2 takes the role of the scoring program.

There are two separate programs that run on the PC when a Bridgemate session is in progress:

• Bridgemate Control Software (BCS) is the program supplied by the developers of the Bridgemate scoring units. It reads data from the Bridgemates via the Bridgemate server unit, and holds the information in a database on your PC.

• Compscore2 is the scoring program developed by Altosoft. It sends movement data to, and receives names and results data from, the Bridgemate Pro Control database.

You are urged to carefully read the documentation supplied with the Bridgemates. This will explain that side of the process in detail.

To explain the process from Compscore2’s perspective, the BCS database is an Access database with an extension of BWS. It only holds the most basic of data, specifically:

• the player numbers entered at the start of the session; and

• the contract, declarer, lead (optionally) and tricks won for each board and pair number combination.

Compscore2 extracts this raw data from the BCS database, and is responsible for calculating scores, accumulating results, factoring where necessary, printing results and web site reports, and determining masterpoints.

The BCS program remains loaded at all times during a session, as it is responsible for continuously extracting data from the Bridgemate units via the Bridgemate Server. It can be accessed by clicking the option on your computer’s Windows task bar. Do not close this program during a session, as data retrieval will cease.

There is no need to access BCS at all through the session, although it contains some useful functions for assessing the status of a session. It also contains some maintenance options like synchronisation (described below, and in the BCS documentation).

How the data flows….

To manage a Bridgemate session, you should understand how the information flows to and from the various components.

At the start of a session, the director records the movement in Compscore2, and this is pushed out to the BCS database. The BCS program is then launched by Compscore2, and that movement data is pushed out to the Bridgemate server and onto the Bridgemates themselves. When the players turn on their Bridgemate, it reads the server and extracts the movement data for that table. (Note that with multiple bridge sections in the room running off one Bridgemate server, just one BWS database is used.)

Throughout the session, as data is entered into the Bridgemates by the players, it is sent immediately to the Bridgemate server. Every second, BCS reads the Bridgemate server, and any new data is deposited into the BCS database (i.e. the BWS file).

Compscore2 polls the Bridgemate Control Software database on demand (when the Import button on the Results by Board tab is pressed, or when printing the results). It then calculates the scores.

Therefore, the results data exists in several places.

  • Firstly it is held in the Bridgemate units, and can be extracted (as a last resort) by connecting the Bridgemate unit to the PC via the special cable, and running the option Read Bridgemate locally from with in the Bridgemate Pro Control software.

  • Secondly, it is held in the Bridgemate server (the small white box), and remains there for as long as the Bridgemate server remains powered and/or until another session is pushed into it.

  • Thirdly, it is held in the BCS database on the PC (the BWS file).

  • And finally, data that has been imported into Compscore2 is held in the Compscore2 database.

There is a synchronisation process within the Bridgemate Control Software that will synchronise the server with the Bridgemate Control Software database. You can go either way i.e. push the data that is held in the Bridgemate Control Software database to the Bridgemate server (you would do this if the Bridgemate server lost power and hence its memory) and you can pull data from the Bridgemate server into the Bridgemate Control Software database.

Data changes

Wrong scores can be corrected by the players at the table until such time EW has pressed OK and accepted the result. After this, the director can still erase a result using the TD key (BM Pro) or entering the TD PIN (BM2). Users of BM Pros are limited to changing scores this way in the current round, or into the next round before any new results have been entered. With BM2s, the director can changes scores for earlier rounds also, and can also be set up to allow players to change current round scores themselves. Scores can also be changed from within Compscore2 .

Given the choice, it is always preferable for the player or director to change a result in the Bridgemates, as this is what all other players see when they choose to view results after entering the score. However, either way will result in an accurate score in Compscore2.


Introduction

Compscore2 is a duplicate bridge scoring program that interfaces with the Bridgemate tabletop scoring units. It manages sessions, calculates and accumulates masterpoints, and keeps track of members.

Compscore2 has a number of standard two-winner movement built in, as well as the facility for users to set up templates of any other movements. Built-in movements are:-

• Odd table standard Mitchell – any number of tables

• Even table standard Mitchell with skip or with share & bye – any number of tables

• North-South Rover with 6 to 15 tables, where an even number for the base involves a skip

• One-and-a-half appendix – any number of tables, where an even number base involves a skip

The standard Mitchells can involve a half-table, who can be sitting north-south or east-west.

Compscore2 also accommodates non-standard Mitchells, as well as Howell and other One winner movements, which are all based on user-editable templates. Howell movements for 3 to 7 tables are shipped with Compscore2, though more can be added and the ones that are shipped with Compscore2 can be edited. Refer to the appendix for detailed movement maps for these movements.

Single session Teams movements (New England and Whist) ) are also supported, as are the various multi-session Pairs and Teams events.


Simple Interface

When multiple sections are being run at the same time, a separate form is created for each one, and you can move between each to perform the various processes - Import Names, Import Results, Print Reports etc. You could close and open each form as you wishes.

Although this is a very efficient interface, some users unfamiliar with Windows may find this confusing, especially if they close a session form by mistake. Compscore2 therefore has an option to only have one window open, but with a dropdown for the director to choose the session they want to work on - see the screen illustration at right.

Once the sessions are loaded, the processes are the same as normal.

Further, when closing the this form, there is an alert asking if you've done everything for all sessions, so the chances of closing a form accidentally are minimised.

To launch the program with the Simple Interface, add a launch switch of "/simple" to your desktop shortcut (i.e. the shortcut launches "Compscore2.exe /simple")

Don't use that interface for normal operations like masterpointing or running a consolidated event - these processes are designed to utilise Compscore2's multi-window feature.


Bridgemate Preferences

These are found under the Compscore2 Setup menu.

Bridgemate behaviour can be managed via the Options area in the Bridgemate Pro software. However, this can also be managed from with Compscore2.

The meaning of the various settings should be self-explanatory, but details can be found in the Bridgemate Pro documentation. The screen layout in Compscore2 is largely identical to that in Bridgemate Control Software.

Some specific points to note:

  • Do not tick the option to automatically close BCS at the end of a session if you are running Swiss movement, as the Bridgemate session appears completed after each round.

  • If you choose to run the two different types of Bridgemates together, you will need 2 separate servers. If you then revert to just one server, make sure you untick this box and disconnect the second server from your PC.


Compscore2 Preferences

You can configure Compscore2's options via the Setup | Compscore2 Preferences menu. There are two facets -

  • General and Web, and

  • Congress Directors

The options are self-explanatory.


Installation

Run the supplied setup program. It is recommended that you install the program into C:\Compscore2 folder rather than your Program Files folder.

Once installed, launch the program. When run for the first time, Compscore2 will ask for your licence name and licence number, and then Club Name, Club Number and web site details. The Club Name appears on the top of all reports, and the Club Number is used for masterpoints purposes. If you are evaluating the program, leave these details blank.

Compscore2 will then create the following folders:

Folder name | Details
\Bridgemates | Bridgemate databases (*.bws) files are stored here.
\Web | Web upload files are stored here until they’re uploaded
\Web\Archive | Web upload files are placed here after uploading
\Web\BRIFiles | BRI or other deal files are placed here for uploading to the web site (optional)
\Web\BRIFiles\Archive | BRI or other deal files once uploaded are moved here
\Templates\Mitchell | For templates (CSV files) for unusual two-winner movements
\Templates\Onewin | For templates (CSV files) for all one-winner movements
\Templates\Teams | For templates (CSV files) for all teams movements
\Templates\Swiss | Program use only
\Reports
\Draws
\ABF | Stores the masterpoints files downloaded from masterpoints.org.au (e.g. national.txt, plus the nat4win.exe program. You may update this as often as you wish by downloading and expanding national.zip or national.exe from the Masterpoint Centre web site. Also holds any masterpoints files you make.

Copy your templates into the two template folders. The can be found on the CD under \Templates, or as a zip file on the web site at www.altosoft.com.au/cs2resources.asp. You can use Windows Explorer to do this, or you can use the menu option Setup | Templates | Import Templates to download all templates to your PC..

Once this is done, you should have in your Compscore2 folder:-

Compscore2.exe | Main program file
Compscore2.mdb | Main Conpscore2 database
Compscore2.chm | Compscore2 help file
ABFNames.mdb | Database containing all ABF names and numbers
Scores.mdb | Database contain the standard duplicate bridge scores and VP scales
VirginCompscore2.mdb | An empty Compscore2 database that can be copied and renamed Compscore2.mdb if you wish to archive a used Compscore2.mdb.

If you have been using the old CompscoreW program, after you have set up Compscore2, you should import your existing CompscoreW names. This brings across the names and computer numbers. This is done by selecting File | Import | Old Compscore Names File.

If you haven’t been using CompscoreW, Compscore2 can create your Player Names table by importing of all your club members from the latest Masterpoints database. This is done by clicking the Players toolbar button on the main form. More information on Players Management can be found in Section 4.

Alternatively, you can import your club members from a CSV file, under the File | Import | Names File CSV menu option. This process expects a CSV file with the first row as headings, and the fields in the sequence Surname, Given names (may be left blank if the surname and given names are both in the first column ), ABF Number, Member number, and Starting handicap. This process should only be undertaken when you first set up your Compscore2 file.

You will also obviously need to set up the Bridgemates and the associated Bridgemate Control Program software. There is a copy of this program on the Compscore2 CD or you can download it from the Bridgemates web site. Compscore2 will assume you have installed that program in the default folder on your PC (i.e. C:\Program Files\Bridgemate Pro).

Important: Check your computer's power settings, including hibernation. In is strongly recommended that the computer should not go into any sort of power-safe or hibernation mode during a session – this can cause problem with the Bridgemate Control Software that runs continuously. If you must have hibernation activated after a period of inactivity, make sure that the period is longer than your longest bridge session.


Starting a Bridgemate Session

The main form has several buttons as pictured above. Click New Session.

Before doing so however, check that the Bridgemate server is connected and turned on (green light for A/C power, orange light for batteries) and that the Bridgemate Control Software program isn’t already running.

When starting a new session, the screen at right appears. You can press Enter or Tab to move between the items, or you can click to the item using the mouse.

The labels on the screen are self-explanatory. Remember when entering the number of tables to always round half-tables up i.e. 11½ tables should be entered 12.

The options in the movement dropdown will change based on the other movement parameters.

When you expect to curtail a session, chose the highest number of rounds that you may play. Sessions may be curtailed if you nominate too many rounds, but it is not a simple a matter to add rounds to a movement that has been set too short.

The basic masterpoints weighting will automatically change from 1.5 to 2.5 when you select red points. If the event has an additional weighing, e.g. a master or restriction factor, enter that weighting in the separate additional weight box. For example, for a novice red point event with a master factor of 0.8, the Basic Weighting is 2.5 and the Additional Weighting is 0.8.

The Extra Info button allows for a variation of the usual masterpointing places.

Howell and other one-winner movements, and Single Session Teams use Templates. Standard templates are provided by Altosoft and can be edited by users as necessary.

When done, click Apply.

Check the confirmation dialog to ensure that the movement parameters are correct, and note the skip round number and bye stand position if applicable.

You will then be presented with the Session Management form, which has 4 tabs: Setup, Bridgemate Results, Player Names and Print Reports and Web, as pictured.

If there is only one section, you can now click Launch. However, if there is another section, click New Section, and follow the same steps.

Important – you cannot create a second or subsequent section by clicking New Session on the main screen, as this will create a different Bridgemate database for the new section, and you can’t have two separate databases for the one session. Clicking New Section from the first section’s form ensures that the one database is used.

Continue doing this until all sections of the room have been set up. Then click Launch.

When Bridgemate Control Software finishes adding tables, it will minimize automatically and return you to Compscore2. However, it is important to watch this process to see that it adds tables, because if there is a communication program, no tables will be added. Communication problems may be able to be resolved by rebooting the PC.

Now you can distribute the Bridgemates to the appropriate tables, including the sit-out table if applicable, and players can turn them on. After a welcome screen, they will be asked for the numbers for the players sitting in each position around the table.

Players can enter either their Club Number or their ABF number. If they are uncertain, they can enter zero – this will result in an “unknown name” in Compscore2 , which can be changed later within Comnpscore2 itself.

Be careful to distribute the right Bridgemates to the right section if there are two or more sections.

If the Bridgemate asks for a Board Number when first turned on, enter an impossible number, e.g. 59 and press OK. (This may happen if, for example, the previous session was curtailed.) This will force a refresh. If anything else untoward happens when the Bridgemates are turned on, activate the TD Menu on the Bridgemate unit and choose the Reset option – Option 0.

Compscore2 and the Bridgemate Control Software programs should both remain open throughout the session. You should also leave each section’s Bridgemate Section form open through the session, though you are able to re-open a closed session form via Open Session on the main form.

If the BCS program is accidentally closed throughout a session, it ill stop retrieving data from the Bridgemate server. To re-open it, DO NOT press Launch from the Compscore2 Bridgemate Session screen, as this will erase any results that have been entered. Instead, click Advanced on the Bridgemate Session Management form's Setup tab, and click Re-Launch.

There are some useful reports you can run by clicking Print Movement Reports on the Setup tab.

Advanced options

There is also an Advanced button on the Setup form. This provides a couple of options:-

  • You to create One-Winner templates from a standard 2-winner movement, based on converting the current movement into a one-winner movement. See Templates at the end of this section.

  • By clicking Re-Launch You can reconnect to a Bridgemate session in the event of the BCS program closing accidentally during a session (e.g. an unexpected reboot or power failure). Note that if you simply click Launch again, it will overwrite data that has been accumulating in the Bridgemate server - connecting using this Advanced option simply reconnects but doesn't send out any movement data.

  • You can force a Movement Curtail - this will send a message to the Bridgemates that the session is being curtailed. This may save you having to deal with the Bridgemates showing a session still in progress when next used.

  • You can print a list of players in the session, sorted by total masterpoints, which is useful for determining the median player when computing a masterpoints Master Factor.

  • On the Support tab, you can upload the session's BWS database to the web site for retrieval by Altosoft. This may be useful for Support purposes.

Late change to movement

If there is a late change to the movement (i.e. a late pair), edit the movement under Setup and click Apply. This will display a Movement Update form as pictured.

If the movement has changed, (e.g. more tables, different movement, different half table situation etc, answer Yes.

You then need to tell Compscore2 whether or not the Bridgemates have been launched.

  • If the Bridgemates have already been launched (and perhaps play has started), select Yes, and nominate the round from which the Bridgemates are to be updated. If play hasn't started, you can choose Round 1, otherwise choose Round 2. (If this late change necessitates a change to the Round 1 pairs and/or tables, but scores have already been entered for Round 1 (for example, a late pair arrives and fills the sit-out table), you may need to record the results for this round at this table on paper and enter these in Compscore2 later. It may also be necessary to enter averages into the Bridgemates for Round 1 boards that now won’t be played in order to move onto the next round. Those results can be edited or deleted via Compscore2 later.

  • If the Bridgemates haven't been launched, select No from the dropdown. This will simply update the entire movement that will be sent to the Bridgemates.


After the session commences

Player names

Shortly after the start of the session, select the Player Names tab in each section, and click Import Names. This will read the player names from the Bridgemates.

Phantom players e.g. the opponents at the sit-out table will come through as "Unknown Name". These can be delete, or can be left as is. If left as it, they will not appear in the results as there are will be scores logged for that pair.

Make any corrections by highlighting the name and clicking Edit. To add a new pair to the movement, click Add, and once entered, they will appear in the list. Players can be entered by Searching, or if you know their Player Number of ABF Number, these can be entered directly into the Player Number box. When entering an ABF Number directly into the Number box, precede it with a dash e.g. -685607.

You may need to alter a Pair Number – if so, click Renumber.

If a name is showing as “Unknown Number”, click Edit to edit the Pair Names, then first see if they are in the in the players' table by clicking the Search button next to their number.

If they do not appear in the search list, click the Add New Name checkbox next to their number, and manually type their name and ABF Number (if known) into the box as pictured. Alternatively, you can click the Search ABF button to search the national Masterpoints database.

These will then be added to the player table automatically, and the number allocated will appear on the Results printout for that session.

Note also that when you see an “Unknown Number”, be sure to first see if they have a number by clicking the Search button next to their name. If you just go ahead and add a new name, you will create a new record in the Members table thus creating a duplicate. The reason you do this step now and not at the end of the session is that if there is a problem, it is simpler to resolve it before players have left the building.

Note that if you have activate the Bridgemate option of showing player names on the Bridgemates (available on BM2's only), you can click Send Names. This will push any edits back to the Bridgemates so that there corrected name will appear for future rounds.


At the conclusion of the session

These steps can be done at any time through the session, but need to be done at the completion as well.

Quick Finalise

If there are no results edits needed, you can finalise the session in one click, by clicking Quick Finalise on the Reports tab. This will

  • import and calculate the results

  • print 2 copies of the results to your default printer

  • create the web export file ready for uploading.

  • close the Bridgemate Management Form for the session

The only further step that is necessary once all sections have been done is the final Upload to Web Site - see below.

Otherwise, you can perform these steps individually, as follows:

Importing results

Select the Bridgemate Results tab and click Import. This reads all data in the Bridgemate system and displays it in Compscore2.

Adding/editing a result

You can edit any results as necessary from this screen, by clicking Add Result, Edit Result and Delete Result.

The tricks can be entered either as over/under tricks (e.g. +2, -1, or = etc), or actual tricks made, depending on your preference as set under System Options.

You can record arrow-switches and fouled boards on this form, and also force a matchpoint over-ride for each side for example when awarding a split score.

Print Results

Before printing results and finalising, there are two optional processes :-

  • You can click Summary at any time throughout the session to see how many results are in for each pair and each board. You can also click the Print Reports and Web tab to view reports and prepare and upload interim results.

  • You can run the Anomalies test to look for any scoring input errors.

Any change you make in the Add/Edit results section will mean that the recalculation process needs to be run before results can be presented. This is done by clicking the Recalculate button on the Print Reports and Web tab.

Just before you finalise everything, for each section:-

1. Check that all players have completed the movement. This is done via the Bridgemate Control Software, which you can access from your Windows task bar. (Select the Round Monitor tab in that program.)

2. Ensure you have all the Player Names. This is done from the Player Names tab. Remember to check both North-South and East-West if it’s a two-winner movement.

3. Now you can print the results by clicking Print Results on the Print Reports and Web tab. You can also optionally print the individual boards, but this report can be several pages long.

4. Prepare the export file for the web site by clicking Web Export. This places the export file into a holding area, ready for uploading. This is only necessary if you are using a web site from Altosoft. Click here for more details on Altosoft-managed web sites

Upload to web site

After you have completed the above steps for all sections, close the Bridgemate Management forms for each section, leaving the main Compscore2 screen open.

Then, if you are using an Altosoft-managed web site, click the Upload to Web Site button at the top on the main form. This will send each session’s export file to the web site. You then need to follow the on-screen instructions on the web page that loads, clicking each session listed.

When done you can close Internet Explorer, Compscore2 and Bridgemate Control Software.

See also Troubleshooting.


Sample Results page


Anomalies

The Anomalies button on the Bridgemate Results tab looks at all results that have been imported, and identifies any results where any of the following situations exists. These help the director identify data entry errors.

  • Contracts that are redoubled (player sometimes press the XX instead of the X)

  • Boards with contracts going off by more than 6 tricks

  • Boards showing large NS-EW swings (scores of 400 or more on both sides)

  • Boards with same suit contracts greater than the 2 level in opposite directions

By clicking on any of these alerts, the relevant board is displayed and the Anomalies form can be moved to one side to examine the board’s results.

If an anomaly is checked and found correct, you can right-click it in the main Bridgemate Results tab, and have it excluded from further anomalies tests.

After any necessary edit, you can click the Refresh button on the Anomalies form to rebuild the anomalies list. Of course, only those results that have been imported from the Bridgemates will be analysed.


Bridgemates and Congresses

Running a congress with Bridgemates is not much different from running a normal club pairs event with Bridgemates.

Some key things to watch are:

  1. When running two or more sections with the same scoring computer and Bridgemate server, they must all be running off the one database. That means that adding a second section (either a side movement or another field in a graded event), you need to ensure the same BWS database is used. If your second session is a normal club session, create the Bridgemate Session for the first round from the main event, and after you've created the first round and opened the Bridgemate Management Form, use the New Section button on that form's Setup tab to create the side movement/s.

    If your second section is another congress field, say in a Graded Pairs event, set up the first event normally, but when it comes to creating the second and subsequent one, don't choose Create New Bridgemate Database as you normally would - choose an existing database and navigate to the one that you created for your first section. The data will be differentiated by way of the section letter you chose under Event Setup.

  2. With multiple sections, when you change sessions, there must be a discreet break in all sections so that you can close the Bridgemate Control Software program and initiate a new database. If you don't, the afternoon boards will overlap with the morning boards.

  3. Consider if the club will be running a side movement themselves with another set of Bridgemates and Bridgemate server. If so, ensure that they are operating on a different channel from you.


Movement Reports

If you wish, you can click Print Movement Reports on the Setup tab. This presents options to print

  • Table Cards - these can be placed on each table, and show the pairs and boards due at that table for each round. They also show what table each pair needs to move to at the end of the round, and are especially useful for Howell movements and Single Session Teams sessions.

    (Note that if the movement has more than one stationary pair, for example a 3/4 Howell, those pairs may need to alternate between NS and EW at that table, and this means that pairs coming to that table sit in different positions depending on the round. If this is the case, check the box "Stationary pairs sometimes arrowswitch [x]", and this will suppress the direction aspect of the movement instructions and will therefore just show a table number and not specify a direction e.g. "NS to table 7" as opposed to "NS to Table 7EW".)

  • Player Cards - this print a list of the seating positions and opponents for each pair throughout the session, and can be given to each pair at the start of the session. There is flexibility regarding the point size, as experimenting with this may allow you get print different numbers of slips per A4 sheet, depending on the number of rounds to print.

  • Master Sheet - a one-page report that shows players, board and rounds for the movement. Movements of up to 13 tables can be printed or saved as a CSV (spreadsheet) file. For movements beyond 13 tables, the printed report just lists the first 13 due to space constraints, but the CSV will show the whole movement.

  • Seating - this shows the initial seating for each pair in the event, based on the current template. This will be especially useful for multi-session Howells.

The Table and Player cards can optionally show the player names if you import the names from the Bridgemates before you print them. Having actual names rather than Pair Numbers assists the flow of the movement considerably.

These reports can be run as normal reports, or as an Excel spreadsheet. For unusual one-winner sessions, it is recommended that you print out the Master Sheet, especially if you haven’t run the movement before.


Troubleshooting

Important: If anything goes wrong and you can’t resolve it, have the movement continue using paper travellers. You should never need to abandon a session because of technology problems. It is most likely that the session can still be scored later using a combination of paper and electronic results.

  • If, when the player first turns on the Bridgemate, it seems to bypass the initial player number entry screen and immediately asks for a Board Number, it is possible that the previous session wasn’t completed. Either use the TD key / TD PIN to reset the Bridgemate (option 0), or ask affected players to simply enter an illogical board number e.g. 59 and this will force the system to re-synchronise with the current movement in the Bridgemate server. In both these cases, the Bridgemate should then offer the initial screen asking for their player numbers. If not, simply continue playing (their names will come through to Compscore2 as “Unknown”) and enter their names manually through Compcore2 later. If you enter the illogical board number and it doesn’t reset, it’s possible that the player pressed the OK button right through the Player Number screens without looking. In this case, the scoring side will work fine but their names and numbers will appear as "Unknown" in Compsciore2 and they will need to be corrected in Compcore2 later.

  • If someone’s Bridgemate seems to reject a board number part way through a session, it’s because either they're playing the wrong board set, or more likely they forgot to enter a board in the previous round. This can be confirmed by the director at the table by either selecting option 5 from the TD Menu (showing missing boards) or attempting to enter each board one by one from the last round to see which one it accepts (a played board should show “already played”). If you're using BM2's, the current round board numbers are displayed on the result entry screen. When you identify the board with the missing result, If the players can’t remember the result, enter an average so that the Bridgemate can roll forward to the next round.

  • If the Compscore2 software is closed by mistake but the Bridgemate Pro software is still running, simply reopen Compscore2 and use the Open Bridgemate Session toolbar button and select the session you are running. If running more than one section, repeat this process for each section. The connection to the Bridgemates will be automatically re-established.

  • The Bridgemate Control Software should remain running throughout the whole session. If however the BCS is closed during a session (perhaps an unexpected re-boot or power failure), you need to re-establish the connection between it, the Bridgemates and Compscore2. This can be done by either one of the following methods:-

    • In Compscore2, open one of the sessions in question, click Advanced on the Setup tab, and select the Miscellaneous tab. Click the Re-Launch button - this will start Bridgemate Control Software, connect to the appropriate database, and import any un-imported results from Bridgemate server. Note that it may take a few seconds to re-establish the connection and import the results, depending for how long the Bridgemate Pro program was not running.

    • Launch Bridgemate Control Software (by clicking on the Bridgemate Control Software icon on your desktop), and then reopening the database via the File | Open menu option. The database will be located in the Compscore2\Bridgemates folder, and will be named after the date and time you launched the session, and will have an extension of bws, for example “Wed 17-Jun-2010 11-55am.bws” Once you open this file, Bridgemate Pro will read in all data from the Bridgemates that has not yet been received, and this may take a few minutes. Once this is done, you can reopen Compscore2 if necessary per the above.

  • If the Bridgemate server itself becomes completely unplugged and power lost, the situation can be rectified in Bridgemate Control Software by Server | Session | Synchronise | Recovery. However, you should always have batteries in the Bridgemate server unit so that in the event of a power failure, the process can continue. refer to the Bridgemate documentation for full details on the various re-synchronisation options.


Auto-Previewing Results

Compscore2 has a special Auto-Import mode that Clubs can use if they want a dynamic display of results.

Ensure that all the sessions you want to display are open. Then click on the Auto-Import toolbar button. This will load a report preview that alternates between each currently running Bridgemate session, and will also automatically refresh the results every few seconds.

If you have a second monitor attached to your PC - perhaps a large data projector, you should be able to configure for PC to allow the second display to be an extension of your desktop. That way you can move the report display away from the PC screen and onto the external display, and keep working on the main Compscore2. Any edits you make will be reflected on the Previewer with seconds.

Click the Auto-Import button a second time to deactivate this feature.

Management of the Preview window should be automatic, but by closing and re-opening Compscore2, the contents will be initialised. You have further control by selecting the Window | Auto-Previewer menu as pictured. From here you can manage the documents and also change settings.


Consolidated Events

Compscore2 handles several types of multi-session events:-

  • Across the field scoring

  • Eclectics

  • Multiple session fixed attendance events

  • Multi-session Barometers

  • Multi Teams

All types follow very similar processes, and are managed under the Processes | New Consolidated Event menu.

With all multi-session events, the process is similar, where you step through the various pages of the wizard.

The first page requires you to name the multi event and enter other parameters, and to add the sessions that make up the multi.

The second page, if applicable, will offer you the chance to account for substitutes (i.e. to disallow them or to merge one pair's result to that of another pair).

The third page will ask you for masterpoint details, and will only be relevant when all sessions in the Multi have been run.

The final page allows you to print reports and export result to the web site.

Note that if you need to edit a Multi, you open it from the normal Open Bridgemate Session menu. When you select an event from this list that is a Multi, it will automatically launch the Multi wizard, with all details loaded.


Across-the-Field

Across-the-field scoring allows you to merge two or more Bridgemate sessions together, and score them “across the field”. This involves re-matchpointing all boards with all players results combined.

Obviously all sections must have played the same set of boards, but it doesn’t matter too much if the movements aren’t identical i.e. if one section had a sit-out pair, or more boards were played in a section, the program will factor as necessary to account for the difference. Of course, such movements are not perfectly balanced, and the best possible movement for an across-the-field session would be equal sized sections using the same movement and with each NS and EW field in each section having a similar range of players.

The scoring across-the-field process is performed as a final step in the process – when setting up the sessions, run them just like you run a session with two independent sections e.g. an A section and a B section.

To obtain and across-the-field result, select Processes | Consolidated Events | Across-the-Field menu. This launches the Multi wizard.

  • The first page requires you to name the event and enter other parameters, and to add the sessions that make up the multi. The sessions need to be added one-by-one. Then click Next.

  • The next page will ask you for masterpoint details. It will suggest the number of masterpoint to be awarded for first place, but you can override this if necessary, as the nature of the event may require a different award.

  • The final page of the wizard allows you to print reports and boards, and to export result to the web site.

One option you might consider is to have the Bridgemates combine the sections for purposes of displaying percentages and historical results. This is done from with the Bridgemate Pro program, under Options. Note that such a change here won’t affect movements already started, so be sure to do this before you start the session. It is also important that you remember to deactivate this setting afterwards, otherwise players will see some strange scores showing in history.

One important note – when scoring an event across the field, it is the combined session that is masterpointed, so remember to choose No Masterpoints from the masterpoints dropdown when setting up each movement.


Eclectic

Compscore2’s Eclectic process can be used for Clubs who run Individual or Pair eclectics over a number of sessions.

Select Processes | Consolidated Event | Eclectic from the main menu. This displays the first page of the Eclectic wizard.

Complete the various boxes, and then click Add to bring in the sessions. Note that unlike other Multis, in this screen you can multi-select the events that make up this Eclectic. Simply hold down the Control key as you click each session, and when you click Select and return to the Multi wizard, all the selected sessions will appear in the sessions list.

The wizard now displays a summary of the sessions, and allows you to enter the masterpoints for first place. (Compscore2 calculates the value for masterpoints for first place, but you can overwrite this if necessary. The masterpoints are determined by a formula set down in the Masterpoint Centre manual, and this is described on-screen. Confirm the masterpoints for first place, then click Next.

On the final screen of the wizard, you can print the Eclectic results, export the results to your Altosoft web site, and also create a CSV file of the results which incorporates handicap information.


Multi

This is the generic Multi process that you would use if the consolidation didn't fall into one of the other types (eclectic, across-the-field, multi-session barometer), and allows you to combine two or more sessions in order to determine an overall winner. It has been designed primarily for a fixed attendance event over a number of different sessions, but there is provision to have different pairs in sessions within the event and still score it as a multi event, either discarding those pairs or merging that pair’s result with an existing pair i.e. substitutes.

Select Processes | Consolidated Event | Multi from the main menu. This displays the first page of the Multi wizard.

Complete the various boxes, and then click Add to bring in the first session, and select it from the list.

Click Add again to bring in each successive session. Each time you add a session, the pairs will be compared to the pairs in the first session, and if there’s a mismatch, you have the opportunity of dealing with than mismatch in one of 3 ways:-

  • Link it so an existing pair (e.g. a substitute) – it will list all existing pairs for you to choose one

  • Create a new pair in the Multi event

  • Disregard it (e.g. if substitutes weren't allowed)

Continue this process until all sessions have been added. Then click Next.

You will then be presented with a list of all existing pairs in the Multi, along with the number of sessions they have played. It is here that you can delete any pairs that didn’t play in sufficient sessions to be a contender in this Multi. You can individually remove pairs from this list by highlighting the pair name and clicking Delete, or you can click the Delete Pairs button to remove all pairs with insufficient results. Then click Next.

On the next screen you have the option of calculating masterpoints. You will need to refer to the Masterpoints Centre handbook for the number of masterpoints to be allocated to first place – once you've entered the first place award and selected what portion of the field is to receive masterpoints, Compscore2 will handle the allocation of masterpoints to minor placings.

On the final screen of the wizard, you can print the Multi results, export the Multi results to your Altosoft web site, and also create a CSV file of the results which incorporates handicap information.


Multi-Session Barometer

This is a standard Multi, but there are some special features within Compscore2 to assist in the running of this sort of event.

Typically a barometer Howell allows for cumulative results to be generated after each round. Further, the event is usually played over a number of sessions, and session results as well as cumulative results are necessary. This specialised requirement is done by a combination of normal Bridgemate sessions and the Barometer Howell multi.

  • Firstly, set the Bridgemate session up in the normal way, but when you’re entering the movement, tick the box “Barometer- style scoring [x]”, as pictured. This places a dropdown on the Bridgemate Results tab that lets you limit the importing of result to a selected round, so if you don’t get the chance to run the cumulative results straight after a round, this ensures you don’t import any later results. There are also boxes for First Board Set and Highest Board Set - if your template has this data you can leave these as zero, but if not, enter the details here.

  • At the completion of the first round, leave the Bridgemate management form open, but click Processes | Consolidated Event | Multi-Session Barometer. This launches the wizard where you can create your Multi for this event, and presents you with the first screen. Compete the various fields (BRI Name is optional), then click Add, and add the Bridgemate session that you’re running, and click Next.

  • (At this point you will have two forms open - the normal Bridgemate Session Management form and the Multi form. Both these forms can stay open throughout the event, allowing you to aggregate and print cumulative results after every round.)

  • In the next section of the wizard you can delete any players that you don’t want to be in the Barometer, then click Next.

  • The screen that follows is only relevant at the end of the event, as it concerns the awarding of outright masterpoints. Click Next.

  • Finally, you are presented with a page that allows you to print Cumulative Results, and to export results to your Altosoft web site and to a CSV file for handicapping or other purposes.

You should leave this page open for the rest of the session, and simply bring the Bridgemate Management form to the front when you want to import the next round or make other edits. After you've imported the next round of results, simply bring the Barometer form to the front, and click Refresh before printing the cumulative reports again. Alternatively, you can close the Barometer form after running the first lot of cumulative reports, and for subsequent rounds, simply open the Barometer in the usual way (via the Open Bridgemate Session toolbar) and step through the wizard pages like before.

For second and subsequent sessions, follow this same process, but use the same Multi, and for the first round of each subsequent session, add the new Bridgemate session to the Barometer list by clicking the Add button.


Multi Teams

This option allows you to consolidate several Single Session Teams sessions to obtain outright winners. It assumes the same teams are playing in each of the sessions, and will combine matches over multiple sessions based on the same pair combinations in order to obtain longer matches. This allows, for example, playing three identical 12-table 3-boards-per-match New England sessions, and the thuis process will merge the results into 9 board matches and compute VPs from there.

Select Processes | Consolidated Event | Multi Teams from the main menu. This displays the first page of the Multi wizard.

Complete the various boxes, and then click Add to bring in the first session, and select it from the list.

Click Add again to bring in each successive session. Continue this process until all sessions have been added. Then click Next.

You will then be presented with a list of all existing teams in the Multi, along with the number of sessions they have played. It is here that you can delete any teams that didn’t play in sufficient sessions to be a contender in this Multi. You can individually remove teams from this list by highlighting the team name and clicking Delete. Then click Next.

On the next screen you have the option of calculating masterpoints.

On the final screen of the wizard, you can print the Multi results, export the Multi results to your Altosoft web site, and also create a CSV file of the results.


Templates

Compscore2 has various standard two-winner movements built in, but flexibility is further enhanced by the optional use of templates so that Clubs can create their own non-standard two-winner movements. Compscore2 also uses templates for all one-winner movements, and for Teams events, as these can vary significantly from Club to Club. However, templates for standard Howell and Teams movements are provided on the installation CD, and on the Altosoft web site.

Templates can be managed within Compscore2 using the Templates feature, located under the Setup | Templates menu.

A template is simply a CSV file that uses a special column / row format. You will have been supplied with a number of templates. Template CSV files reside in the sub-folders under the C:\Compscore2\Templates folder. They can be copied into that folder using Windows Explorer, or you can download all standard templates from the Altosoft web site under the Movement Templates menu.

You can also download importing templates from the Compscore2 CD sing the Setup | Templates | Import Template menu options.

After completing your template you can click Test to see of any pairs meet there pairs more than once, and if any boards are played by the same pair more than once.

Below is an example of a template for a 3-table Howell. The T1, T2 etc are tables, and for each table and each round, there is a NS pair, an EW pair and a board set. Board sets are used instead of actual board numbers so that the one template can cover any number of boards per round e.g. the below 3-table Howell would work for 5 boards a round (25 boards in play) or 6 boards a round (30 boards in play). The number of boards per round is entered when you set up the movement at the beginning of each session.

Note that the Boat Set can be left as 0, and this will allow you to enter a starting set number and highest set number when creating the actual session.

There is a button on this Edit Template form captioned Test Pairs that checks that all pairs are playing in all rounds. This might not be a requirement for your movement, but it will be a requirement in many cases, and this test can help eliminate data entry errors. This button also test that no pair meets the one set of boards more than once.

Remember that missing pairs are nominated at the point of setting up a Bridgemate session, so you would not normally need to accommodate half- tables in an unusual movement template.

Alternatively, you can use Excel to create these templates. Be careful to keep the structure consistent, as per the below example.

Pictured is an example of a template spreadsheet for a 3 table Howell. (Remember that this would need to be saved as a CSV file before it can be used by Compscore2.) The first row is headings, the first column from row 3 shows the round number, and for each table, there are “triplets” – columns for NS Pair, EW Pair and Board set. Board sets are used instead of actual board numbers so that the one template can accommodate any number of boards per round.

When saved as a CSV, this is what it the same template file will look like, and this is what Compscore2 uses to generate the movement. It ignores the first two rows, and starts reading in Round 1 from Row 3.


Handicaps

Compscore2’s offers two methods of calculating players' handicaps.

The first is based on the method use by the original Compscore, where the players last 8 results are obtained, the best and worst removed, and a handicap factor calculated from the resultant average.

The second is the Rapscore method, where a player;s handicap is a permanently rolling value, being refined with every session played.

These handicaps can be applied to the matchpoints for any given session by way of a spreadsheet by running Handicap Results reports and Handicap Web Export.

In both methods, handicaps are not built automatically, but rather you need to run the handicap calculation process to update players’ handicaps just before you start a handicap event. This option is located on the main menu under Processes | Post Handicaps.

Choose the date you want the calculation to run to, and click OK.

This process can be run multiple times without any side effects, as each session is used only once.


Members

Players

See also Merging Players

Compscore2 holds player details in a special Player's table file. New players who are entered into the Bridgemates via their ABF Number are automatically added to this table.

Anyone who plays at your club will end up in this file. Note that the Players file is different from your Membership file - the Membership file is for your club members only,and is a sub-set of the Players file. See Membership Management.

When converting from the old CompscoreW program, names can be imported from the CompscoreW names file to the Compscore2 Players List, but note that this is a once-only process and should only be done when first commissioning Compscore2.

For Clubs that don't have an existing CompscoreW database, you have the opportunity of creating your Players table from the latest Masterpoints Centre listing for you club. This option is presented to you when opening the Players area for the first time.

Alternatively, when you first start Compscore2, you can import your Players from a CSV file, under the File | Import | Names File CSV menu option. This process expects a CSV file with the first row as headings, and the fields in the sequence Surname, Given names, ABF number, Player number. this process should only be undertaken when you first set up your Compscore2 file.

The Players list area can then be accessed via the Players toolbar button on the main screen.

New players are added to this file automatically is they enter their ABF Number into the Bridgemates, or when the Director uses the Add New Player option when importing names.

You can search through the list using the scroll bars, and can also type in the beginning letters of the name to jump through the list. Also, the list can be sorted by Name, Player Number or ABF Number.

For each player, their name, ABF Number and Player number are held in this file, as well as an optional Attribute field. The attribute can be any piece of data you wish, up to 20 characters in length.

Players can also be tagged as "Permanent". This means they won't be deleted when you run the Player Cleanup process. This can be done by clicking the Permanent button (this is a toggle, alternating between Permanent and Not Permanent), or using the right mouse click.

You can edit Player details by highlighting the name and clicking the Edit button. You can also double-click the grid row. This brings the details into the edit boxes on the right of the screen, where you can make any edits before clicking Apply. Note that player masterpoints are not edited in this area – refer to the Masterpoints Management chapter in this manual.

You can also add new players by clicking the Add button, but remember that new players are automatically added when the player enters their ABF number into the Bridgemate at the start of the session. Even if they enter their number as 0 (and hence initially appear as “Unknown” in the session results), when you fix this up from within the session Player Names area, a new Player Number will automatically be allocated. The only reason you would need to add a Player from within this Players area is if you needed to add someone to the file in order to manually allocate them masterpoints earned from a non-Bridgemate session.

Player numbers are automatically assigned, with numbers appearing alongside the names on all session results printouts.

Players can be deleted, but only if they do not appear in any sessions, and is they aren't a club member. If the Player Number has been used in a session, the only way to remove them is to run the Merge process which transfers their sessions into another Player Number (see below). You will be warned when trying to delete a Player that has session activity.

Printing Player List

You can print a list of all Players from this screen, and also export a list to a CSV file which you can open in Excel. The printed report is a 2 column report showing Player Number, Name and ABF number, whereas the export also includes the Attribute. The export option will allow you to use the full power of Excel to format the report.


Merging Members

Merging Players

See also Players

If a player is created twice in error (usually caused by the director adding a new Player without first searching to see if they're already in the Player list), the best way to resolve this is to merge the two players in the Players area of Compscore2.

To merge players, click the Merge button. This loads a new form asking you for the two codes. Select the codes and click Apply, and all session activity will be scanned and any occurrence of the first code will be replaced with the second code, and at the end of this process, the first code will be deleted from Compscore2.

Be careful to enter the code to be removed first.

Club members cannot be removed by merging.

This option is also available under the Players menu.


Delete Inactive Names

From time to time, you may wish to remove inactive players from your Player table. This may be because the table is filling up with one-time visitors.

You can do this manually from the Players area, or you can use the Delete Inactive Names option under the Players menu.

Click the Show button. This will scan all sessions in your database and list any player from your player table that hasn't played in any of those sessions, and who isn't tagged as permanent, including club members. Note that this process may take several minutes.

After the names for deletion are displayed, you still have the option of tagging any of them as Permanent by using the right-click menu.

Once you are happy that the only names left on the list can be deleted, click OK, and they will be permanently removed from your Player table.


Masterpoints

Masterpoints are automatically calculated for each session in Compscore2. However, the posting of masterpoints to players is not done until the masterpoint wizard has been run at the end of the month or quarter. Therefore, there is no problem as regards deducting and adding masterpoints following corrections to sessions through the month.

From the main Compscore2 screen, click Masterpoints.

This launches the masterpoints wizard, which consists of several steps.

Step 1

First, choose the sessions you want to masterpoint. The display will list all those sessions that have not currently been closed.

Click Select All if you want to quickly select all the sessions listed.

Then click Next.

Step 2

The next screen displays all players who need attention. Typically this is because of missing ABF Numbers.

Problems like missing ABF Numbers can be addressed by editing the player details within the Members area (accessed on the main form) by either

  • adding the ABF Number (see below section re Members Editing); or

  • by loading the session (via Open Bridgemate Session) and editing as necessary.

You can make these changes while the Masterpoints wizard is still open. If you do, remember to click the Refresh button when you have made the change to a session or to the Members file in order to have that change reflected in this Masterpoints wizard screen.

When you are happy that only those players listed in this screen will not have their masterpoints processed (i.e. for a non-member who doesn’t have an ABF number), click Next.

Step 3

The wizard will now calculate the masterpoints entitlement, and present a screen where you can manually add masterpoints (e.g. for a manually scored session), print various reports, and create the file for the Masterpoints Centre.

(Note that if you have scored sessions using the old Compscore program, you can either create a separate masterpoints file using that program and send both files to the Masterpoints Centre, or import those sessions into Compscore2 (under File | Import) and those results will be amalgamated into Compscore2’s masterpoints ledger.)

Manually adjusting masterpoints

To add masterpoint adjustments, click Create, and enter the Member Number, the masterpoints colour and number (no decimals) and an options Details line. There is no editing or deleting possible – to reduce masterpoints, simply enter a minus number.

When done, you can print a list of the adjustments by clicking the List button.

Printing Reports

The reports available are:

• Masterpoints by Player – a list of player names and their masterpoint earnings;

• Masterpoints by Session – a list of sessions and total masterpoints for each session

• Masterpoints Exclusion Report – a listing of masterpoints that will be lost because of the player not having an ABF Number

• Masterpoints Ledger – listing masterpoints earnings by player

Create Masterpoints File

Once you are happy with the position, you can create the file for sending to the Masterpoints Centre.

The file name needs to be made up in a strict format, with the only variable being the first letter, which you can choose. You also need to choose the period (month and year) as this makes up part of the file name. When you have made these sections, click Make File. This will create the file in the ABF masterpoints sub-folder under your Compscore2 program folder.

You should always check that the file created is valid by running it through the Nat4win.exe program supplied by the Masterpoints Centre. This will show the masterpoints total, and will also show any inactive members or invalid ABF numbers. If you have copied the Masterpoint Centre program and data files to your Compscore2\ABF folder, you can launch this program by clicking the Launch button on this screen.

When you’re happy with the file, it should then be emailed to the Masterpoints Centre in the usual way. if you have email set up on the PC you are working on, you can facilitate this by clicking Email.

Once this is done, click Next.

Step 4

This is the finalisation step.

Under normal circumstances, you should click both the checkboxes on this screen.

Closing masterpointed sessions [x]: Closing the masterpointed sessions will remove them from the mail Open Bridgemate Sessions screen and will also exclude them from future masterpointing processes.

Erase Bridgemate databases [x]: Erasing Bridgemate databases will remove the Bridgemate database files (the BWS files) which serve no purpose once the session is complete. The session and all details remain in the Compscore2 database.

When ready to close the masterpoints process, click Finish.

If you realise that you’ve closed sessions that you need to re-open, this can be done from the Processes | Reopen Sessions menu option.

Gold Masterpoints

If you are running a Gold Point Event, masterpoints can still be tracked, but these events will not appear in the Masterpoints Wizard because cold masterpoints need to be sent via the State Masterpoint Secretary. To prepare the file, select Masterpoints - Gold from the Players menu. This loads an identical Masterpoints Wizard where only gold point events are visible, and you can follow the process described above.


Membership Management

Compcore2 has an optional module to manage your Club membership. The following functions can be performed.

  • holds member personal details, including name, address, phone, email, next of kin, day and month of birth (for Masterpoints Centre) and ABF Number

  • holds membership type (Home / Away / Life / Other), and date paid till;

  • prints user-definable Welcome Letter for new members;

  • prints annual subscriptions renewals, incorporating ABF, QBA and club levies where appropriate;

  • prints summary reports of renewals paid by date to assist reconciling;

  • exports Membership data to Excel.

Your members are a subset of your Players List i.e. all members are Players, but not all players are members.

See Membership Setup


Membership Setup

From the Membership menu, click Setup. The following form appears.

Complete the details as requested.

Once done, and assuming you have Players in your database already, you need to nominate those players who are Club Members. To do this, there are three options:-

CSV Import: Read a CSV file containing all membership details. This will be cross-matched via the ABF number, and those players from the CSV file appearing in your Players List will be designated as members. The CSV file must contain column headings, and must be in a designated format: Surname, Given Names, Address 1, Address 2, Address 3, Phone, Email, ABF Number, Membership Year (yyyy), Next of kin, Comments, Day/Month of Birth (any format), Membership Type (H/A/L/O for Home/Away/Life/Other).

This process will also add any new players who are in the CSV file but who aren't in your Players file.

This is the most efficient way of setting up club membership in Compscore2.

Use Masterpoints Listing: You can use the latest ABF Masterpoints listing to mark all your home club members per that listing as Members, and leave the rest as either non-members or Away Members .

The above steps are performed via the dropdown on the Membership Setup form.

Limiting access to membership data

There is a checkbox at the foot of the Setup form Allow member edits from Player Names area [x]. Unless this is ticked, access to member names etc from within the Player Names area is not allowed. That means that member names cannot be edited in the Player Names area that directors would have access to. Non-member names can be edited by the director. Member and non-member names are distinguished by the colour of the item in the list - non-members are grey and members are black.


Member Edit

Member details are accessed from the Membership menu. From here, you can add or edit club members.

The opening screen is a search list, and you can select the name you want to access and click Select.

Here you can add/edit details as necessary.

The available Membership Types are Home, Away, Life and Other. By selecting the various types, the check boxes that manage the Levies will be automatically ticked (Home pays all levies, Life plays ABF/QBA only and Away pays Club only), but these can be changed as necessary.

After adding a new member, you can print a Welcome letter by highlighting the name in the Member Search grid and clicking the Welcome button. The contents of the Welcome letter are managed from the Membership menu.

Memberships can be cancelled by clicking the Terminate button on the Member Search form. This won't remove the Player but will change their status to a non-Member. They will remain in the Players database until they are deleted using the separate Player Name deletion process.


Member Subscriptions

Compscore2 can print annual subscription notices, and can record when payment is made.

Renewal notices print on A4 in a standard format. However, under the Membership Setup area, you can manage the words that appear in the body of the Membership Renewal letter.

To print Renewals, ensure that the financial year dates are correct under Membership Setup, then select Renewals from the Membership menu.

To print them, click Print. This will display all renewals on the screen, and you can then print all or some of the notices.

You can also export the renewals list to Excel.

Processing payments

As payments are received, you can edit each member and advance the financial year forward one year.

Alternatively, you can simply highlight the member's name from the Member Search list and click the Paid button. This has the effect of advancing the year forward, but also date-stamps the member record with the date they paid.

Updating payments this way allows you to generate a list of payments by date from the Payment Export option under the Membership menu.


Importing Old Compscore Sessions

If you have been using the old Compscore software as well as Compscore2, you can import Compscore sessions into Compscore2 and use Compscore2’s Masterpoint Management side for all of your Club’s masterpoints.

You can also use this process to print the Results report of a Compscore in the same format as your Bridgemate sessions, and to create web export files that will end up on your web site in the same place and in the same format as Bridgemate sessions.

To import an old Compscore file, select File | Import and choose the old Compscore program you used to score the session: Mitchell, Howell, or Onewin.

The import process will then add the session to the list of sessions, and will also add any names and ABF Numbers for players not known to Compscore2.

You can then open the session in the normal way by clicking Open Bridgemate Session.

You may want to open this session and edit the session date. This will ensure it appears in the list (and on the web site if necessary) in the appropriate sequence.

Note that the Setup tab is different from a session that was scored with Bridgemates, as illustrated. Further, when clicking the Edit Setup button, the details that can be edited are much reduced, compared with a Bridgemate session.


Player Frequency Report

Some Clubs like to monitor how frequently players attend club sessions.

In Compscore2, this is handled by the Player Frequency report, located on the File | Export menu.

The report lists players' frequency for the selected date range, listing most to least number of sessions attached. It can be printed or exported to Excel.


Scoring a session manually

Compscore2 has been designed for use with Bridgemates. However, you can score a session manually if you wish.

To do this, start out as though you are running the session using Bridgemates - click New Session, and enter the movement. However, at the foot of the setup for, click the checkbox "Manual (non Bridgemate) scoring [x]"

When the Session Management form loads, it will be the same as for a normal Bridgemate session, except that the Results tab provides a place for manual data entry.

Click the button labelled Load Blank Travellers. This will load a blank result line for each set of pairs for each board. To enter the result, simply click on the grid for the first pair and enter their score. Note that the trailing zero can be left off the score, and East-West scores are entered as negatives.

Pressing the Enter key moves to the next line, and when the last line has been entered, a dialog displays asking if you want to move to the next board.

The pair numbers should be correct but if there is a problem, you can delete pair lines and add additional lines as necessary.

Fouled boards, boards to be averaged and boards played arrowswitched can be designated by clicking the appropriate checkbox.

Player names are entered on the Player Names tab by clicking Add as necessary.

The process for printing reports and creating the web export is identical as for a Bridgemate session.


Updating ABF Masterpoints File

Compscore2 uses the ABF Masterpoints Centre list when players enter the ABF number into the Bridgemates instead of the club computer number. It also uses this list when calculating Medians.

You can update this file from time to time by downloading the national.txt and associated files from the Masterpoints Centre web site and running File | Import | ABF Masterpoints File.

This presents you with the following screen, from which you navigate to the file you have downloaded, then click Import. The process may take several minutes.

You can use the Auto-Download option by ticking Download latest file first [x]. Note that the download process may take several minutes, depending on the speed of your internet connection.

Having the latest file in this folder is also useful when checking your masterpoints return.


Uploading BRI Files

Uploading BRI and other Deal Files

If you are using an Altosoft-managed web site and can generate BRI, PBN or DealMasterPro TXT files from your hand generation process, these can be uploaded to the web site and displayed alongside board results on the web site.

To configure this option, contact Altosoft.

Once configured, newly generated deal files can be uploaded to the web site via the main menu option Processes | Upload Deal Files to Web Site. This process will copy all files in the Compscore2\Web\BRIFiles\ folder to the web site. Alternatively, the next time session results are uploaded, any deal files in that folder will also be uploaded.

For each session, simply enter the name of the deal file into the box marked on the Bridgemate Session Setup screen, and this will link the web site results to that file and display the hands. If you are using PBN files, these are converted to TXT files before being uploaded, so enter the extension as TXT rather than PBN.

The full file name can be entered in the Session Setup screen, or if you have a standard prefix and/or suffix, they can be entered under Setup | Compscore Preferences - General and Web, so that just the changing part of the file name needs to be entered by the director.

There is also an option to create TXT files from PBN files on a one-off basis. This is located under Processes menu.


Pairs

Pairs Event Setup

Compscore2 can score normal Swiss Pairs events using manual data entry or using Bridgemates. This aspect has been primarily designed for congress directors as the Event can be totally self-contained in respect of web results and masterpoints. However, clubs can use it to score Swiss Pairs events and the results will dovetail into the normal club event reporting and masterpointing.

All Swiss Pairs events are managed via the File | New Event and File | Open Event menu.

To start a new Pairs Congress event, select the appropriate Bridgemate or No Bridgemate menu, and select Swiss Pairs.

Swiss Pairs events work on wither a delayed draw or a live draw. The default is delayed draw, where as the first 2 rounds are pre-determined (but can be edited) and the 3rd round draw is based on the 1st round results, and so on.

At the top of the page are the Tabs that control the various elements of the teams event. Everything you need to do is contained within this form. If you elected to use Bridgemates for this event, there will also be a Bridgemate tab.

You will first be presented with the Event Setup screen, as pictured below. Enter the details as requested, and when done, click Apply.

See also

Pair Setup

Pair Seeding

Scoring manually

Scoring with Bridgemates

Web

Masterpoints

General Bridgemates tips when running a congress


Pairs Setup

Pairs are created on this tab. Click New Pair to add a pair, and enter the player names.

Pair Numbering is automatic, and can be altered on the Pair Seeding tab.

When entering a player, use the Search button (or F2 key) to search by name. Otherwise if you enter the ABF Number directly, the player details will be displayed.

If the player doesn't exist in the ABF players file, you can leave the ABF Number as 0 and type the name in. You can also add an estimate of their masterpoints, which may be useful for seeding.

To rename a name, use the Edit Pair button,and to delete a team, click Delete Pair.

You have the option on this tab of scanning the players file for duplicate names.

You can also import the field from a different session or event, and this can be done by category if importing from another Pairs event. This would be useful of you use s separate event to create your field and now want to import it selectively into separate fields, say, for a graded event.


Pairs Seeding

The Pairs you have entered on the Pair Setup tab appear on this screen, in the order entered.

You may wish to seed them based on their masterpoints. If so, click Seed.

Once done, you can alter the seeding of a particular team using the Move Up and Move Down buttons.

Categories are also managed on this tab. Based on the number of categories you have nominated on the Event Setup tab, clicking the Categories button will divide the field evenly into the required number of categories, starting with A. Using the right mouse click on the grid you can redefine this allocation for specific teams.

Once done, you can click Names to print a list of team and player names and ABF Numbers, and you can click Round 1 and Round 2 to print the draws for the first two rounds.

You can also export by Pair or by Name which generates an Excel spreadsheet showing the teams, team members and individual masterpoints. This may assist you in your seeding.

The median player can be determined by clicking the Median button,. This will list all players sorted by current masterpoints, and highlighting the median and average rank.


Pairs Scoring

Pairs Scoring - Non-Bridgemates

If you're using manual scoring, the Rounds tab is where the event itself is managed.

Initially, click Create Rounds to create rounds for the event.

Then highlight the first round, and click Open. This will open the Pair Management form for this round, as pictured below.

On the Results Entry form, enter the first board number and click Load. This will build a grid awaiting the data entry. Click Add, and enter the NS and EW Pair numbers, and then the scores for each board. Enter an EW score as negative, and note that the trailing zero on a score does not need to be entered. Then click Apply. In the interest if speedy data entry, the screen is ready for the next entry, but you an click Cancel if you need to make an adjustment.

At any time, you can click Show Missing Results to see what pairs don't yet have scored entered.

As you're entering each result slip, a yellow pop-up appears showing the data as you enter it, in a form that approximates the slip itself. This pop-up can be moved around the screen if it's in the way of anything.

When you've entered all results, click Calculate this Round, then if necessary Print Recaps, and if this is a Butler- scored event, Print Datums. You can then close the form and return to the main Pairs Event Management form.

When you've entered all scored for the round, return to this form, and click Score. You can then print any necessary results and other reports. Then click New Draw to create the next draw, and you can edit that draw as necessary.

At the completion of the even, you can click the Web tab to make web site export files, and Masterpoints to calculate masterpoints for this event.


Pairs Bridgemate Scoring

A Swiss Pairs event when players are using Bridgemates is managed via the Bridgemates tab.

The event progresses via the blue headings [image].

First, create the first (or subsequent) round. A new Bridgemate database is required for each new session, but not each new round. (A session is defined as a unique set of boards.) You will also need to record the first board number.

For the purposes of Compscore2, each round is created as a separate Compscore2 session.

Once the round is created, highlight it in the Bridgemate Sessions grid and click Open. This loads it into the usual Bridgemate Session Management form.

For the first match of each session, you need to then click Launch to start the Bridgemates. For subsequent rounds in a session, simply opening the round passes the movement to the Bridgemates and they will be automatically updated.

During the round, you can use all the functionality of the Bridgemate Session Management form as with a normal session, like interim importing, anomalies checking etc. You can also return to the Pairs Management form at any time and run any of the calculation and reporting functions.

At the completion of the round, close the Bridgemate Session Management form, and when you return to the Pairs Management form, check that you have received all the results.

You can then perform a final calculation (click Score), then print the reports. The Standard Results ranks pairs by place, showing either Imps/VPs if Butler, or matchpoints/percentage if matchpointed, as well as the cumulative totals for each . The Directors Results shows the same, but also lists the pairs they've played in the event to date. The Personal Results can be run for either the current match (in a form designed for slicing and distributing to players during the next round), or for multiple rounds with each team starting on a new page.

You should also run the next draw, and if necessary, edit that draw.

The above steps can be automated by clicking the Quick Post button. this will score up, print the reports you have nominated under Setup | Compscore2 Options - Directors, and calculate and print the next draw.

If you need to revert to manual scoring part way though the event, click the Rounds tab, and check the box to day that you want to revert to manual scoring. That will then open up the manual scoring area as described under Pairs Scoring.

.


Pairs Masterpoints

Masterpoint for Swiss Pairs events are calculated on the Masterpoints tab.

The masterpoint method - wins or session rank - is determined on the Event Setup page. You can calculate masterpoints on a wins basis and produce a file for the Masterpoints Centre, or you can merge this event's masterpoints into the main club masterpoint file for sending off at the end of the month / quarter. (Note that for congresses, you most likely need to provide the masterpoints file directly to your State Masterpoint Secretary immediately after the event.)

Firstly, enter the masterpoints per win and the outright points for first place. You can obtain these from your Masterpoint Scheme handbook, or from the Masterpoints Centre web site. Alternatively you can click the ? next to the outright masterpoints and Compscore2 will work out point for first place.

The click Calculate. This will display the points per team.

You then need to either make the file for the Masterpoints Centre or merge the awards into the main Club awards area.

If you wish to make the file, click MP File. Once done, you can click Nat4Win to launch the Masterpoint Centre viewer to check the contents of the file.

If you choose to merge the awards, any players who don't exist in your club members table will be added.

.


Pairs Web Results

At the completion of the event (and part way through if you wish) you can generate an ASCII or HTM file of the results for loading to a web site. The format is based on the traditional QBA web site format.

Initially, you can optionally generate a header by clicking Generate. This lists the event format and director, and prepares a skeleton of the top 3 places in each category. This will, in most cases, need to be edited to account for equalities and also for reduced category prizes.

When done, click OK and this will generate a file showing the event heading, your preamble, plus the final results.

If you have calculated this event's masterpoints, you can elect to show masterpoints in this report.

If uploading part way through an event, you may also elect to show the upload time and to also show the next draw.

If using Bridgemates, you can arrange with Altosoft to allocate you a spot for detailed results on the Bridge Australia Web site. They will issue you with a Web Site Event Number which you record on this page, and this will append a link to this page in the web results file, and clicking Make Files will create the CSV files for each match for uploading to Bridge Australia. Contact Altosoft for more details.


Teams

Teams Event Setup

Compscore2 can score normal teams events using manual data entry or using Bridgemates. It has been primarily designed for congress directors, as the Event can be totally self-contained in respect of web results and masterpoints, but clubs can use it to score teams events too and the results will dovetail into the normal club event reporting.

Clubs should note that there is a separate Single Session Teams component to Compscore2 for single session events like Whist or New England movements.

All Teams events are managed via the File | New Event and File | Open Event menu.

To start a new Teams event, select the appropriate type from the Bridgemate or No Bridgemate menu:

  • Round Robin Team

  • Swiss Teams

  • New England / Whist

A round-robin event is one where the draw is pre-determined, whereas a Swiss event is one where the draw for each round after the first round is based on the cumulative results. A New England or Whist event is (usually) a single session event, but where boards move through the room rather than being played in a barometer style. In all other respects the different event types are the same.

At the top of the page are the Tabs that control the various elements of the teams event. Everything you need to do is contained within this form. If you elected to use Bridgemates for this event, there will also be a Bridgemate tab.

You will be presented with the Event Setup screen, as pictured below. Enter the details as requested, and when done, click Apply.

See also

Team Setup

Team Seeding

Scoring manually

Scoring with Bridgemates

Web

Masterpoints

General Bridgemates tips when running a congress


Team Setup

Teams and team members are created on this tab. Click New Team to add a team, and enter the team name. You can then added edit and delete team members using the grid and buttons on the left.

Numbering is automatic, and can be altered on the Team Seeding tab.

When entering a tea member, use the Search button (or F2 key) to search by name. Otherwise if you enter the ABF Number directly, the player details will be displayed.

If the player doesn't exist in the ABF players file, you can leave the ABF Number as 0 and type the name in. You can also add an estimate of their masterpoints, which may be useful for seeding.

To rename a team, use the Edit Name button,and to delete a team, click Delete Team.

Teams can also be imported from another Teams event. You can elect to all teams, or a selected category.


Team Seeding

The teams you have entered in the Team Setup tab appear on this screen, in the order entered.

You may wish to seed them based on their masterpoints. If so, click Seed.

Once done, you can alter the seeding of a particular team using the Move Up and Move Down buttons.

Categories are also managed on this tab. Based on the number of categories you have nominated on the Event Setup tab, clicking the Categories button will divide the field evenly into the required number of categories, starting with A. Using the right mouse click on the grid you can redefine this allocation for specific teams.

Once done, you can click Names to print a list of team and player names and ABF Numbers, and you can click Initial Draw to print the first round draw.

You can also click CSV Export which generates an Excel spreadsheet showing the teams, team members and individual masterpoints. This may assist you in your seeding.

If you are using the original Compscore, you can create the Names file used by that program


Teams Bridgemate Scoring

Teams Bridgemates Scoring

A teams event when players are using Bridgemates is managed via the Bridgemates tab.

The event progresses via the blue headings [image].

First, create the first (or subsequent) round. A new Bridgemate database is required for each new session, but not each new match. (A session is defined as a unique set of boards.) For a Swiss event, you will need to record the first board number, but for other teams events, they are based on a template (nominated in the Event Setup screen) which holds board set numbers.

For New England and Whist single session teams events, there is only one "session", so you only need to step through the loop once.

For the purposes of Compscore2, each match is created as a separate Compscore2 session.

Once the match is created, select it in the Bridgemate Matches dropdown and click Open. This loads it into the usual Bridgemate Session Management form. For the first match of each session, you need to then click Launch to start the Bridgemates. For subsequent matches in a session, simply opening the match passes the movement to the Bridgemates and they will be automatically updated.

During the match, you can use all the functionality of the Bridgemate Session Management form as with a normal session, like interim importing, anomalies checking etc. You can also return to the Teams Management form at any time and run any of the calculation and reporting functions.

At the completion of the match, close the Bridgemate Session Management form, and when you return to the Teams Management form, check that you have received all the results. You can then perform a final Calculate, then print reports. The Standard Results ranks teams by place, showing the last round Imps and VPs plus the cumulative Imps and VPs. The Directors Results shows the same, but also lists the teams they've played in the event to date. The Personal Results can be run for either the current match (in a form designed for slicing and distributing to players during the next round, or for multiple matches with each team starting on a new page.

If you're running a Swiss event, you should also run the next draw, and if necessary, edit that draw.

The above steps can be automated by clicking the Quick Post button. this will score up, print the reports you have nominated under Setup | Compscore2 Options - Directors, and calculate and print the next draw.

Behind the scenes, the Calculate process simply generates Imp and VP entries as you would have manually, and posts them to the results file. If you select the Scoring tab and any time though the event, you will see all the scores for all the previous matches. Every time you click Calculate, these are deleted and rebuilt. This means that if you need to revert to manual scoring part way though the event, you have your starting point already.

See also Teams Events with Triangles

.


Teams Events with Triangle

Compscore2 handles triangles in a specific way.

For the initial draw, the 3 middle teams play in the triangle. In subsequent draws, the 3 lowest ranking teams play in the triangle, subject to them not having played anyone else in the triangle. A team may play in the triangle more than once. Triangle teams can be changed manually using the Edit Draw facility.

For the play, the three teams in the triangle play full matches against each other triangle team so that they only score up after every 2 matches. After the first match, EW moves down a table and the boards move up a table.

With Bridgemates, the extra set is always designated as Set 5, so for an event with 8 board matches, the extra set will be 33-40. These are the numbers that the Bridgemates are expecting. This cannot be altered, as board numbers in the triangle must be totally unique.. For a non-Bridgemate teams event, board numbering isn't relevant to the scoring process.

In Bridgemate and non-Bridgemate teams events, where there is an odd number of matches in the event, the half match must be the final one, and each team plays half a match against each other team in the triangle. The Bridgemates at the triangle tables will hold data for an extra match. Half way through the final match, when it's time to change tables, the players should enter "Not Played" at the Bridgemate (press 0 for the contract) for the 4 remaining boards before they change tables. The Bridgemates will roll onto the notional extra round.

Regular matches - Sample

 | Rest of room | Table 1 | Table 2 | Table 3
Match 1 | Boards 1-8 | A v B Boards 1-8 | B v C Boards 9-16 | C v A Boards 33-40
Match 2 | Boards 9-16 | A v C Boards 33-40 | B v A Boards 1-8 | C v B Boards 9-16

Final half-match (if applicable) - Sample

 | Rest of room | Table 1 | Table 2 | Table 3
Match 7 | Boards 17-24 | A v B Boards 17-20 | B v C Boards 21-24 | C v A Boards 33-36
 |  | A v C Boards 33-36 | B v A Boards 17-20 | C v B Boards 21-24


Team Scoring

Manual Team Scoring

Scoring there event from result slips is done on the Scoring tab.

Choose the match from the dropdown.

If you are running a Swiss event, you can click the Automatically load opponents [x] checkbox. This will automatically load the opponent team number for the loser after you've entered in the winner, based on the draw. If you elect not to have this automated, the expected opponent still appears alongside the loser's box, but you will need to enter both the winner and the loser team numbers.

At any time, you can click Show Missing Results to see which teams haven't provided a result slip. The results you have entered appear on the right side of the page.

When all results are entered, you can click Audit Trail which lists the results entered. You can also print the cumulative results in either the basic form (the Results button) or the director's copy (the Results Dir button ) which lists each opponents in the event so far.

When running a Swiss event, you can then click Auto Draw which generates and displays the draw for the next round. Once done, you can edit that draw using Edit Draw but note that if you click the Auto Draw button after making edits, the draw will revert back to the system -generated one.

The draw editing form is pictured here. Once making edits it is recommended that you click Dupes Test to ensure that no team is entered twice. Once done, you can click Print Draw.

Non-balancing scores: If you need to enter a non-balancing score (e.g. after awarding a split score or a non-offsetting averages), enter the result from the winner's perspective first, and then highlight the loser's line on the grid, click Adjust, and enter the loser's Imps and VPs.


Team Masterpoints

Masterpoint for teams events are calculated on the Masterpoints tab.

Teams events are masterpointed either on a sessional basis (top third per session and top third outright) on a masterpoints per win basis and top third outright. Your selection is nominated under Event Setup. You can calculate points and produce a file for the Masterpoints Centre, or you can merge this event's masterpoints into the main club masterpoint file for sending off at the end of the month / quarter. (Note that for congresses, you most likely need to provide the masterpoints file directly to your State Masterpoint Secretary immediately after the event.)

Firstly, enter the masterpoints per win and the outright points for first place. You can click the ? button, and/or you can override the masterpoints as necessary.

The click Calculate. This will display the points per team.

If any team has more than 4 members and you have elected under Event Setup that only players playing earn points for wins, you will need to enter the wins per player also. To do this, click List by Player from the dropdown at the top right of the page. This lists the awards by player. Where there are more than 4 people in a team, the masterpoints will have been allocated to all members of the team and obviously this will need top be adjusted to reflect (a) that the points for wins go to the right players and (b) that any outright points are shared in the appropriate portion.

You can edit individual player's awards by highlighting the row and clicking edit. This allow you to edit masterpoints for wins and for outright.

When you have finished your edits, make sure that the Total per Teams and Total per Players are the same. This will ensure that the adjustments you have made result in the correct allocation of points.

Once done, you can print a report either By Team or By Player.

You then need to either make the file for the Masterpoints Centre or merge the awards into the main Club awards area.

If you wish to make the file, click Make File. Once done, you can click Nat4Win to launch the Masterpoint Centre viewer to check the contents of the file.

If you choose to merge the awards, any players who don't exist in your club members table will be added.

.


Teams Web Results

At the completion of the event (and part way through if you wish) you can generate an ASCII or HTM file of the results for loading to a web site. The format is based on the traditional QBA web site format.

Initially, you can optionally generate a header by clicking Generate. This lists the event format and director, and prepares a skeleton of the top 3 places in each category. This will, in most cases, need to be edited to account for equalities and also for reduced category prizes.

When done, click OK and this will generate a file showing the event heading, your preamble, plus the final results and then for teams, the match by match results.

If you have calculated this event's masterpoints, you can elect to show masterpoints in this report.

If uploading part way through an event, you may also elect to show the upload time and to also show the next draw.

If using Bridgemates, you can arrange with Altosoft to allocate you a spot for detailed results on the Bridge Australia Web site. They will issue you with a Web Site Event Number which you record on this page, and this will append a link to this page in the web results file, and clicking Make Files will create the CSV files for each match for uploading to Bridge Australia. Contact Altosoft for more details.